commit:     674e200597bc6f5693d09362d96118ae3cc1410c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 30 19:55:48 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Apr 30 20:02:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=674e2005

media-sound/audacious: 4.0.3 version bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-sound/audacious/Manifest               |  1 +
 media-sound/audacious/audacious-4.0.3.ebuild | 81 ++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/media-sound/audacious/Manifest b/media-sound/audacious/Manifest
index bd17b50f854..3af5c6dd52e 100644
--- a/media-sound/audacious/Manifest
+++ b/media-sound/audacious/Manifest
@@ -1,3 +1,4 @@
 DIST audacious-3.10.1.tar.bz2 564481 BLAKE2B 
d1f76f34f0f6fbbe5ba92a95015fa0f3ef6399cc05f69f58474523761b00a4de7b8471660d9cb640487110cc3998df59f21108ff0b4ea72014ad75cd32ad864b
 SHA512 
e88891caaa3897f9b4abf39136e20834aedf1287d0d5eefea392fda89050db8db00c6f363976a68fe250ddbae4e27590f7615916a76370a44ca9235f1fa60b43
 DIST audacious-4.0.2.tar.bz2 576407 BLAKE2B 
001d185db59e38f686c78964b759f851481bc4c7fcddb521fde9bd985095fa32bacb6f1bcea167a91616af4fca412d75cf63dfe0cd3b19ee396e36e211b1a94e
 SHA512 
3f541000c874f2d026f2a4c23f1f98486aae9450c6dc8d7597f742b21d701883b31bbc5620bf23408ce0da397fdf414dffe37a778eb70df5a553a854f2435b99
+DIST audacious-4.0.3.tar.bz2 577512 BLAKE2B 
55d660398330a4b15c9074f7ac4c4b4ed50e550d7b7481f0e21d02fa9e1a73da175ded8ab65b0e112aee8bc62a8c817f6c5a8e75ef16c88a9f4193d94e2d8a18
 SHA512 
e09ae26f43d7a6b610df9ece90f77b912b98c5e4e9a3b5168df26e177ffac3f66a74bff503f398c271228198467c7b3b6797d1671979559c4e1cfb13b12549cd
 DIST gentoo_ice-xmms-0.2.tar.bz2 51839 BLAKE2B 
d3bf8dbfee675dd588bc0258f1015c76877b6b0a3835813d8e9621d149b924aaa33544d07f7ad44a01c058d41d7480b3908b0773c124af33b6e020c376b13d54
 SHA512 
e863a8f86073007c47ce8c20739aae4bff22e22a7ddc11556b12ae6ebb68654cec7310fdc9d05f2c47f81cf2591fe601b2eb12a2fd911c0a6118c9f3cc524f05

diff --git a/media-sound/audacious/audacious-4.0.3.ebuild 
b/media-sound/audacious/audacious-4.0.3.ebuild
new file mode 100644
index 00000000000..13924b39fcb
--- /dev/null
+++ b/media-sound/audacious/audacious-4.0.3.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${P/_/-}"
+
+if [[ ${PV} == *9999 ]]; then
+       inherit autotools git-r3
+       EGIT_REPO_URI="https://github.com/audacious-media-player/audacious.git";
+else
+       SRC_URI="https://distfiles.audacious-media-player.org/${MY_P}.tar.bz2";
+       KEYWORDS="~amd64 ~x86"
+fi
+inherit xdg
+
+DESCRIPTION="Lightweight and versatile audio player"
+HOMEPAGE="https://audacious-media-player.org/";
+SRC_URI+=" mirror://gentoo/gentoo_ice-xmms-0.2.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="nls"
+
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( dev-util/intltool )
+"
+DEPEND="
+       >=dev-libs/dbus-glib-0.60
+       >=dev-libs/glib-2.28
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtwidgets:5
+       >=x11-libs/cairo-1.2.6
+       >=x11-libs/pango-1.8.0
+       virtual/freedesktop-icon-theme
+"
+RDEPEND="${DEPEND}"
+PDEPEND="~media-plugins/audacious-plugins-${PV}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+       default
+       [[ ${PV} == *9999 ]] && git-r3_src_unpack
+}
+
+src_prepare() {
+       default
+       if ! use nls; then
+               sed -e "/SUBDIRS/s/ po//" -i Makefile || die # bug #512698
+       fi
+       [[ ${PV} == *9999 ]] && eautoreconf
+}
+
+src_configure() {
+       # D-Bus is a mandatory dependency, remote control,
+       # session management and some plugins depend on this.
+       # Building without D-Bus is *unsupported* and a USE-flag
+       # will not be added due to the bug reports that will result.
+       # Bugs #197894, #199069, #207330, #208606
+       local myeconfargs=(
+               --disable-valgrind
+               --disable-gtk
+               --enable-dbus
+               --enable-qt
+               $(use_enable nls)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       # Gentoo_ice skin installation; bug #109772
+       insinto /usr/share/audacious/Skins/gentoo_ice
+       doins -r "${WORKDIR}"/gentoo_ice/.
+       docinto gentoo_ice
+       dodoc "${WORKDIR}"/README
+}

Reply via email to